LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-21-2009, 01:21 AM   #1
cosmin
LQ Newbie
 
Registered: Aug 2009
Location: Romania
Distribution: Mandriva
Posts: 2

Rep: Reputation: 0
Question Problem installing Audacious 2.1 from source


I am trying to install Audacious 2.1 from source. I downloaded 'audacious-2.1.tgz', unpacked and configured. The config summary looks like this:
Code:
Configuration:

  Install path:                           /usr/local
  Use one plugin dir:
  Allow user plugin dir:                  yes

  Automatic character code detection:     yes
  Sample rate conversion:                 no
  D-Bus support:                          yes
  Session management (eggsm)              yes
  XSPF playlists                          yes

  SSE2:                                   yes
  AltiVec:                                no
After running 'make', I ran 'make install' as root. Everything went fine.

Then I downloaded 'audacious-plugins-2.1.tgz'. When I run the configure script, I get this error:
Code:
...
checking for AUDACIOUS... no
configure: error: Cannot find Audacious 2.1 or later, have you installed audacious yet?
However, Audacious 2.1 is installed:
Code:
$ which audacious2
/usr/local/bin/audacious2

$ audacious2 --version
Audacious 2.1.0 [UNSUPPORTED VERSION]
Has anyone had this problem?

I know I can install using my distro's package manager, but I really want the latest version.
 
Old 08-21-2009, 02:04 AM   #2
bathory
LQ Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 12,870

Rep: Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872Reputation: 1872
Since you have installed the program in /usr/local, you should set the following 2 env. variables prior running the ./configure script for the plugins
Code:
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH
LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH

Last edited by bathory; 08-21-2009 at 02:11 AM. Reason: typo
 
Old 08-21-2009, 02:35 AM   #3
cosmin
LQ Newbie
 
Registered: Aug 2009
Location: Romania
Distribution: Mandriva
Posts: 2

Original Poster
Rep: Reputation: 0
Thanks bathory, it worked.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Audacious won't play MP3s... Codecs problem? dr_chunks Linux - Software 1 12-20-2008 06:37 AM
audacious can't play anything (sound system problem?) pusrob Linux - Software 7 06-01-2008 12:59 PM
problem installing Audacious player in Fedora 7(Moonshine)????? mad_abt_linux Linux - Software 1 11-01-2007 05:29 AM
about audacious - libraries problem tramni1980 Slackware 6 11-11-2006 01:25 PM
problem in installing from source Baran Linux - Newbie 4 09-04-2003 05:50 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:29 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration